# The &amarok; Handbook

Mike
Diehl

    madpenguin8@yahoo.com

The Amarok Development Squad
Developers
2005
The Amarok Development Squad
2006
The doKymotion Krew
&FDLNotice;
2006-02-20
2.1

&amarok; is a media player for the K Desktop Environment.

KDE
multimedia
player
audio
ogg
mp3
wav
music
sound
script

## Introduction

Logo

&amarok; is an audio player for &kde; that is extremely powerful, yet surprisingly simple to use.

With &amarok; you can simply drag and drop music into the playlist instead of searching through endless menus. Just looking for that one song in a huge collection? &amarok;'s collection browser with its quick-search bar will help you find it in a matter of seconds.

It may seem that &amarok; has the same old features found in the average audio player, but we did not stop there. One look at the context browser and you will see why &amarok; is one step ahead of the rest. The context browser shows all kinds of information related to your currently playing track - from the album cover, through to other music by the same artist, as well as related artists - an informative and fun way to learn about your collection!

Do you already have many different playlists but can never decide on which one you want to use? Then the playlist browser is just for you. Never know what to listen to? Amarok's Dynamic Mode will choose your music for you, and Smart Playlists allow you to jump right in to specific parts of your collection.

Amarok has outstanding support for Apple's iPod, iRiver's ifp and a multitude of generic USB devices. It also features many different audio backends allowing YOU to choose how you listen to your music. These and other features make it the most advanced audio player available. &amarok; is smart, sexy and clever. We hope that its use will truly allow you to "Rediscover your music!"

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Credits and License

Program copyright 2003-2005 Mark Kretschmann markey@web.de and The AmaroK Team.

### The AmaroK Team

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Seb Surfin' down under Ruiz me@sebruiz.net

- Stanislav did someone say DCOP? Karchebny Stanislav.Karchebny@kdemail.net

### Contributors:

- Adam Pigg (analyzers, patches) adam@piggz.fsnet.co.uk

- Adeodato Simo (patches) asp16@alu.ua.es

- Alexandre Oliveira (improvements, bugfixes) aleprj@gmail.com

- Andreas Mair (MySql Support) am_ml@linogate.com

- Andrew de Quincey (Postgresql support) adq_dvb@lidskialf.net

- Christie Harris (roKymoter) dangle.baby@gmail.com

- Dan Leinir Turthra Jensen (first run wizard) admin@removeleinir.dk

- Dan Meltzer (roKymoter) hydrogen@notyetimplemented.com

- Enrico Ros (analyzers, king of openGL) eros.kde@email.it

- Florian 'da-flow' Egerer (Amarok application icon 'Blue Wolf) flo_for_never@gmx.at

- Gérard Dürrmeyer (icons and image work) gerard@randomtree.com

- Greg Meyer (Fabulous help with our pre 1.2 bug-avalanche) greg@gkmweb.com

- Harald Sitter (roKymoter, translations, bug fixes, screenshots) harald.sitter@kdemail.net

- Ian Monroe (patches, Ruby script template (eean) )ian@monroe.nu

- Jarkko Lehti (tester) grue@iki.fi

- Jocke Andersson (roKymoter) ajocke@gmail.com

- Kenneth Wesley Wimer II (icons) kwwii@bootsplash.org

- Kenny Lemieux (Amarok webmaster) swaft@pwsp.net

- Melchior Franz (new FFT routine, bugfixes) mfranz@kde.org

- Michael Pyne (K3B export code) michael.pyne@kdemail.net

- Nenad Grujicic (splash screen for 1.1) mchitman@neobee.net

- Olivier Bédard (website hosting) paleo@pwsp.net

- Reigo Reinmets (Wikipedia support, patches) xatax@hot.ee

- Roland Gigler (MAS engine) michael.pyne@kdemail.net

- Sami Nieminen (Audioscrobbler support) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Stefan Bogner (Loadsa stuff) bochi@online.ms

- Stefan Siegel (patches, bugfixes) kde@sdas.de

- Sven Krohlas (roKymoter) sven@asbest-online.de

- Whitehawk Stormchaser (tester, patches) zerokode@gmx.net

Documentation copyright 2005 Mike Diehl madpenguin8@yahoo.com

&underFDL;

&underGPL;

&amarok-req;

## Installation

### How to obtain &amarok;

&amarok; can be downloaded from The &amarok; home page

The latest development version can be obtained from &kde; SVN, module /trunk/extragear/multimedia/amarok/.

#### How to compile &amarok;

In order to compile and install Amarok on your system, type the following in the base directory of the Amarok distribution:

`./configure --prefix=`kde-config --prefix`` `make` `su -c "make install"`

The --enable-final configure flag is no longer supported.

Since &amarok; uses autoconf and automake you should have no trouble compiling it. Should you run into problems please report them to the &kde; mailing lists.

#### Configure Options

&amarok; is like most other apps in that it has several compile time options that can be enabled or disabled during configure. This is a list of the options that can be configured.

Some compile time options require specific dependencies to be used. See the requirements section for more details.

Option | Default | Description
--- | --- | ---
--enable-debug= | no | Enables debug symbols. Choose from yes, no, and full. Please use the full option if you intend to help with &amarok; development.
--enable-mysql | Disabled | Enables MySql database support for &amarok;
--disable-amazon | Enabled | Disables Amazon cover art downloading support in &amarok;
--without-arts | With | Disables aRts support for &amarok;
--without-gstreamer | With | Disables GStreamer support for &amarok;
--with-helix | With | Enables Helix engine support for &amarok;
--without-xine | With | Disables xine support for &amarok;
--with-nmm | Without | Enables NMM support for &amarok;
--with-mas | Without | Enables MAS support for &amarok;
--without-opengl | With | Disables OpenGL (analyzer) support for &amarok;
--without-included-sqlite | With | Do not use the included sqlite sources (requires sqlite to be installed)

&documentation.index;